Bug 893662 - Headpin upstream install is failing on rhel6.3 beaker box
Headpin upstream install is failing on rhel6.3 beaker box
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jordan OMara
SAM QE List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 11:00 EST by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 12:57:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2013-01-09 11:00:43 EST
Description of problem:
headpin upstream install is failing on rhel6.3 beaker box

Version-Release number of selected component (if applicable):

# headpin -u admin -p admin version
Headpin 1.3.2-1.git.5.081bc5a.el6

How reproducible:
yum install -y katello-headpin-all
katello-configure --deployment=headpin

Steps to Reproduce:
1.yum install -y katello-headpin-all
2.katello-configure --deployment=headpin
3.the error says (java-1.5 available but requires java-1.6)
4.after manually installing java-1.6 it works correctly

  
Actual results:
http://pastebin.test.redhat.com/122157

Expected results:

headpin install successful

Additional info:
Comment 1 sthirugn@redhat.com 2013-01-09 13:53:17 EST
Tried headpin version Headpin 1.3.2-1.git.5.081bc5a.el6 in RHEL 6.3 and it worked fine.  But my RHEL 6.3 had Java 1.6 installed by default and not Java 1.5 as mentioned in the bug.
Comment 2 Lukas Zapletal 2013-01-22 03:49:33 EST
Packiging.
Comment 3 Bryan Kearney 2013-06-06 12:57:39 EDT
SAM is 6.4+ only

Note You need to log in before you can comment on or make changes to this bug.